Create a user
POST
/v1/auth/users/
const url = 'https://example.com/v1/auth/users/';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"email":"hello@example.com","username":"example","password":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/auth/users/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "email": "hello@example.com", "username": "example", "password": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”object
email
required
Email address
string format: email
username
required
Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.
string
id
required
string format: uuid
password
required
string
Examplegenerated
{ "email": "hello@example.com", "username": "example", "password": "example"}object
email
required
Email address
string format: email
username
required
Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.
string
id
required
string format: uuid
password
required
string
Responses
Section titled “Responses”Media typeapplication/json
object
email
required
Email address
string format: email
username
required
Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.
string
id
required
string format: uuid
password
required
string
Examplegenerated
{ "email": "hello@example.com", "username": "example", "password": "example"}